al_ustr_ncompare(3)

NAME

al_ustr_ncompare - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_ustr_ncompare(const ALLEGRO_USTR *us1, const ALLEGRO_USTR *us2, int n)

DESCRIPTION

Like al_ustr_compare(3) but only compares up to the first n code points of both strings.

Returns zero if the strings are equal, a positive number if us1 comes after us2, else a negative number.

SEE ALSO

al_ustr_compare(3), al_ustr_equal(3)